<?php
if (!defined('DC_RC_PATH')) { return; }
 
$core->addBehavior('initWidgets', array('picasaFeedWidgetBehaviors','initWidgets'));
 
class picasaFeedWidgetBehaviors
{
	public static function initWidgets(&$w)
	{
		$w->create('PicasaFeed', __('PicasaFeed'), array('publicPicasaFeedWidget', 'picasaFeedWidget'));
		$w->PicasaFeed->setting('title', __('Title:'), 'Photos Picasa', 'text');
		$w->PicasaFeed->setting('picasa_id', __('Picasa / Google ID:'), '', 'text');
		$w->PicasaFeed->setting('album_id', __('Picasa Album ID (optional):'), '', 'text');
		$w->PicasaFeed->setting('nb_photos', __('Number of thumbs to display:'), 6, 'text');
		$sizes = array (
		    __('Small')  => "/s72",
		    __('Medium') => "/s144",
		    __('Large')  => "/s288"
		);
		$w->PicasaFeed->setting('size', __('Size:'), '/s144', 'combo', $sizes);
		$w->PicasaFeed->setting('shuffle', __('Shuffle images'), false, 'check');		
	}
}
?>